Last Comment Bug 747418 - Add-ons restart tests are broken due to broken behavior in startUserShutdown
: Add-ons restart tests are broken due to broken behavior in startUserShutdown
Status: VERIFIED FIXED
[mozmill-test-failure][needs-mozmill-...
:
Product: Mozilla QA
Classification: Other
Component: Mozmill Tests (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Remus Pop (:RemusPop)
:
:
Mentors:
Depends on:
Blocks: 686320
  Show dependency treegraph
 
Reported: 2012-04-20 09:07 PDT by Henrik Skupin (:whimboo)
Modified: 2012-06-20 07:26 PDT (History)
3 users (show)
remus.pop: in‑litmus+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed
fixed
fixed


Attachments
Patch v1 (Remove startUserShutdown) (6.58 KB, patch)
2012-04-20 09:16 PDT, Henrik Skupin (:whimboo)
anthony.s.hughes: review+
Details | Diff | Splinter Review
patch v1 (all branches) (6.00 KB, patch)
2012-06-18 07:37 PDT, Remus Pop (:RemusPop)
no flags Details | Diff | Splinter Review

Description Henrik Skupin (:whimboo) 2012-04-20 09:07:26 PDT
With the automatic port selection of jsbridge we detected that startUserShutdown is broken. We don't intent to fix it for Mozmill 1.5.x so those tests have to be skipped for now until 2.0 is available.

Affected tests:
Comment 1 Henrik Skupin (:whimboo) 2012-04-20 09:08:59 PDT
restartTests/testAddons_changeTheme
restartTests/testAddons_enableDisableExtension
restartTests/testAddons_uninstallExtension

But instead of disabling those tests we could simply use a Mozmill initiated restart.
Comment 2 Henrik Skupin (:whimboo) 2012-04-20 09:16:33 PDT
Created attachment 616993 [details] [diff] [review]
Patch v1 (Remove startUserShutdown)
Comment 3 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-04-20 09:19:10 PDT
Comment on attachment 616993 [details] [diff] [review]
Patch v1 (Remove startUserShutdown)

Looks good to me.
Comment 5 Remus Pop (:RemusPop) 2012-06-18 02:27:06 PDT
It is fixed now in mozmill 1.5.13 so I'll test before backing out the patch.
Comment 6 Remus Pop (:RemusPop) 2012-06-18 07:35:07 PDT
Results for Mac:
http://mozmill-crowd.blargon7.com/#/functional/report/8bf3fa70d3d9a46d3e7617383b11b9a4

Linux:
http://mozmill-crowd.blargon7.com/#/functional/report/8bf3fa70d3d9a46d3e7617383b11d5fd

Windows XP does not report yet; there might be some problem.
Comment 7 Remus Pop (:RemusPop) 2012-06-18 07:37:32 PDT
Created attachment 634028 [details] [diff] [review]
patch v1 (all branches)

Restores startUserShutdown in tests that used it. Applies on all branches, including esr10.
Comment 8 Henrik Skupin (:whimboo) 2012-06-19 00:07:41 PDT
Comment on attachment 634028 [details] [diff] [review]
patch v1 (all branches)

Usually we do not want to have new patches but backout the ones we have already landed. So I'm going to mark this as obsolete and backout the already landed one.
Comment 9 Henrik Skupin (:whimboo) 2012-06-19 00:10:26 PDT
http://hg.mozilla.org/qa/mozmill-tests/rev/b7ccc50843bb (default)
Comment 10 Henrik Skupin (:whimboo) 2012-06-19 07:36:51 PDT
(In reply to Henrik Skupin (:whimboo) from comment #9)
> http://hg.mozilla.org/qa/mozmill-tests/rev/b7ccc50843bb (default)

I accidentally checked this into aurora and not default. But given that no failures have been reported we can land it on all other branches:

http://hg.mozilla.org/qa/mozmill-tests/rev/0da43de2c0b6 (default)
http://hg.mozilla.org/qa/mozmill-tests/rev/11baf0de21df (beta)
http://hg.mozilla.org/qa/mozmill-tests/rev/d118606a4459 (release)
http://hg.mozilla.org/qa/mozmill-tests/rev/b5475fe282ea (esr10)
Comment 11 Remus Pop (:RemusPop) 2012-06-20 07:26:42 PDT
Edited/updated/enabled:

1. testAddons_changeTheme
2. testAddons_enableDisableExtension
3. testAddons_uninstallExtension

esr10
1. 40731
2. 40724
3. 40727

release
1. 55626
2. 55619
3. 55622

beta
1. 63980
2. 63973
3. 63976

aurora
1. 15633
2. 15626
3. 15438

Note You need to log in before you can comment on or make changes to this bug.